<modification xmlns="http://www.simplemachines.org/xml/modification" xmlns:smf="http://www.simplemachines.org/">
	<id>aaronvg:filemanager</id>
	<version>2.1.3</version>

	<file name="$boarddir/index.php">
		<operation>
			<search position="after"><![CDATA[
		'.xml' => array('News.php', 'ShowXmlFeed'),
]]></search>
			<add><![CDATA[
		'filemanager' => array('FileManager.php', 'FileManager'),
]]></add>
		</operation>
	</file>

	<file name="$sourcedir/Subs.php">
		<operation>
			<search position="after"><![CDATA[
				'generate_reports' => '<a href="' . $scripturl . '?action=reports">' . $txt['generate_reports'] . '</a>',
]]></search>
			<add><![CDATA[
				'file_manager' => '<a href="' . $scripturl . '?action=filemanager">' . $txt['filemanager']['adminbutton'] . '</a>',
]]></add>
		</operation>
	</file>
	
	<file name="$themedir/languages/Modifications.albanian.php" error="ignore">
		<operation error="ignore">
			<search position="replace"><![CDATA[
?>]]></search>
			<add><![CDATA[
$txt['filemanager']['adminbutton'] = 'File Menagjeri';
?>]]></add>
		</operation>
	</file>
	
	<file name="$themedir/languages/Modifications.dutch.php" error="ignore">
		<operation error="ignore">
			<search position="replace"><![CDATA[
?>]]></search>
			<add><![CDATA[
$txt['filemanager']['adminbutton'] = 'Bestandsbeheer';
?>]]></add>
		</operation>
	</file>
	
	<file name="$themedir/languages/Modifications.english.php" error="ignore">
		<operation error="ignore">
			<search position="replace"><![CDATA[
?>]]></search>
			<add><![CDATA[
$txt['filemanager']['adminbutton'] = 'File Manager';
?>]]></add>
		</operation>
	</file>

	<file name="$themedir/languages/Modifications.french.php" error="ignore">
		<operation error="ignore">
			<search position="replace"><![CDATA[
?>]]></search>
			<add><![CDATA[
$txt['filemanager']['adminbutton'] = 'Gestionnaire de fichiers';
?>]]></add>
		</operation>
	</file>

	<file name="$themedir/languages/Modifications.german.php" error="ignore">
		<operation error="ignore">
			<search position="replace"><![CDATA[
?>]]></search>
			<add><![CDATA[
$txt['filemanager']['adminbutton'] = 'Datei Explorer';
?>]]></add>
		</operation>
	</file>

	<file name="$themedir/languages/Modifications.greek-utf8.php" error="ignore">
		<operation error="ignore">
			<search position="replace"><![CDATA[
?>]]></search>
			<add><![CDATA[
$txt['filemanager']['adminbutton'] = 'Διαχείριση Αρχείων';
?>]]></add>
		</operation>
	</file>

	<file name="$themedir/languages/Modifications.italian.php" error="ignore">
		<operation error="ignore">
			<search position="replace"><![CDATA[
?>]]></search>
			<add><![CDATA[
$txt['filemanager']['adminbutton'] = 'File Manager';
?>]]></add>
		</operation>
	</file>

	<file name="$themedir/languages/Modifications.spanish.php" error="ignore">
		<operation error="ignore">
			<search position="replace"><![CDATA[
?>]]></search>
			<add><![CDATA[
$txt['filemanager']['adminbutton'] = 'Administrador de Archivos';
?>]]></add>
		</operation>
	</file>
	
	<file name="$themedir/languages/Modifications.turkish.php" error="ignore">
		<operation error="ignore">
			<search position="replace"><![CDATA[
?>]]></search>
			<add><![CDATA[
$txt['filemanager']['adminbutton'] = 'Dosya Yöneticisi';
?>]]></add>
		</operation>
	</file>
</modification>